import { TableNormalPlugin } from '@ahooksjs/use-table';
declare type TQuery = () => Promise<any>;
export interface IOptions {
    query: TQuery | TQuery[];
    field: string | string[];
    isDefault?: boolean;
    setDefaultValue?: (data: IEnum[], name: string) => any;
}
export declare type TUseAsyncDefaultPlugin = (params: IOptions) => TableNormalPlugin;
interface IEnum {
    label: string;
    value: any;
}
export declare type IGetValue = (data: IEnum[], name: string) => string;
export {};
